package com.qmth.qrzk.repository.user.service;

import java.util.List;

import com.qmth.qrzk.repository.service.query.SuffixParams;
import com.qmth.qrzk.repository.user.model.Suffix;


public interface ISuffixService {

	public List<Suffix> getAllSuffix();
	
	public List<Suffix> findByName(String suffixName);
	
	public Suffix findById(int id);
	
	public int addSuffix(String suffixName);
	
	public int delSuffix(int id);
	
	public int updateSuffix(Suffix suffix);
	
public List<Suffix> querySuffix(SuffixParams params);
	
	public int querySuffixCount(SuffixParams params);
}
